Skip to main content
GET
/
v1
/
checkouts
/
{checkoutId}
Consultar checkout
curl --request GET \
  --url https://api.troqpay.com/v1/checkouts/{checkoutId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "chk_01HR7P8Z5N7A8Q2P8Y7F2D8Q6J",
  "livemode": false,
  "status": "PENDING",
  "amount": 12990,
  "currency": "BRL",
  "createdAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "pix": {
    "copyPaste": "00020101021226840014br.gov.bcb.pix...",
    "qrCodeUrl": "https://api.troqpay.com/qrcode/chk_01HR7P8Z5N7A8Q2P8Y7F2D8Q6J.png"
  },
  "settlement": {
    "currency": "USDT",
    "status": "PENDING",
    "amount": "24.560000"
  },
  "description": "Plano Pro",
  "externalId": "order_1001",
  "checkoutUrl": "https://pay.troqpay.com/c/chk_01HR7P8Z5N7A8Q2P8Y7F2D8Q6J",
  "paidAt": "2023-11-07T05:31:56Z",
  "customer": {
    "name": "Maria Santos",
    "email": "maria@example.com",
    "document": "12345678909"
  },
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

checkoutId
string
required

Response

Checkout encontrado.

id
string
required
Example:

"chk_01HR7P8Z5N7A8Q2P8Y7F2D8Q6J"

livemode
boolean
required
Example:

false

status
enum<string>
required
Available options:
PENDING,
PAID,
EXPIRED,
CANCELLED
amount
integer
required
Example:

12990

currency
string
required
Example:

"BRL"

createdAt
string<date-time>
required
expiresAt
string<date-time>
required
pix
object
required
settlement
object
required
description
string | null
Example:

"Plano Pro"

externalId
string | null
Example:

"order_1001"

checkoutUrl
string<uri>
Example:

"https://pay.troqpay.com/c/chk_01HR7P8Z5N7A8Q2P8Y7F2D8Q6J"

paidAt
string<date-time> | null
customer
object
metadata
object